SDL_HINT_VIDEO_DOUBLE_BUFFER(3)

NAME
SDL_HINT_VIDEO_DOUBLE_BUFFER - Tell the video driver that we only want a double buffer.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_VIDEO_DOUBLE_BUFFER SDL_VIDEO_DOUBLE_BUFFER"

DESCRIPTION
By default, most lowlevel 2D APIs will use a triple buffer scheme that wastes no CPU time on waiting for vsync after issuing a flip, but introduces a frame of latency. On the other hand, using a double buffer scheme instead is recommended for cases where low latency is an important factor because we save a whole frame of latency.

We do so by waiting for vsync immediately after issuing a flip, usually just after eglSwapBuffers call in the backend's *_SwapWindow function.

This hint is currently supported on the following drivers:

• Raspberry Pi (raspberrypi)

• Wayland (wayland)

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.